/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Articulo;
import com.cosmodas.EntCosmos.ArticulosZonasTotal;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ArticulosZonasTotalFacadeLocal {

    void create(ArticulosZonasTotal articulosZonasTotal);

    void edit(ArticulosZonasTotal articulosZonasTotal);

    void remove(ArticulosZonasTotal articulosZonasTotal);

    ArticulosZonasTotal find(Object id);

    List<ArticulosZonasTotal> findAll();

    List<ArticulosZonasTotal> findRange(int[] range);

    int count();

    List<ArticulosZonasTotal> busquedaSucursalArticuloCodigo(Integer sucursal, Articulo articulo);

}
